Skip to main content


Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » TMF (Xtext) » How to use newer version Guava in Xtext with maven build?
How to use newer version Guava in Xtext with maven build? [message #1234590] Wed, 22 January 2014 10:19 Go to next message
Xi Lin is currently offline Xi LinFriend
Messages: 21
Registered: January 2014
Junior Member
I want to use a newer version of guava (like 15.0) in my project. However it seems that Xtext is already declaring the dependency on 10.0.1.

I can use eclipse's build path option to include a 15.0 guava lib file. But i cannot figure out how to do it in pom.xml or MANIFEST.MF so that maven build can recognized it.

I tried dependency section but it didnot work.

Is there any solution for that? Thanks.
Re: How to use newer version Guava in Xtext with maven build? [message #1234650 is a reply to message #1234590] Wed, 22 January 2014 13:31 Go to previous messageGo to next message
Ed Willink is currently offline Ed WillinkFriend
Messages: 6756
Registered: July 2009
Senior Member
Hi

There are a number of problems with conflicting use of 10/12/13/14
between various Eclipse projects. Hopefully these will be sorted for
Luna. I cannot recommend using anything unique to a newer Guava.

Regards

Ed Willink


On 22/01/2014 10:19, Xi Lin wrote:
> I want to use a newer version of guava (like 15.0) in my project.
> However it seems that Xtext is already declaring the dependency on
> 10.0.1.
>
> I can use eclipse's build path option to include a 15.0 guava lib
> file. But i cannot figure out how to do it in pom.xml or MANIFEST.MF
> so that maven build can recognized it.
>
> I tried dependency section but it didnot work.
>
> Is there any solution for that? Thanks.
Re: How to use newer version Guava in Xtext with maven build? [message #1234946 is a reply to message #1234650] Thu, 23 January 2014 07:39 Go to previous message
Xi Lin is currently offline Xi LinFriend
Messages: 21
Registered: January 2014
Junior Member
Thanks, i got it.

I wanted to use new guava because old guava is incompatible with Glassfish 4. Now we use a hack to solve that.
Previous Topic:2.5.0: Xtext Maven pom problem
Next Topic:Extending the Xtext index
Goto Forum:
  


Current Time: Fri Jul 03 19:51:07 GMT 2020

Powered by FUDForum. Page generated in 0.01650 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software

Back to the top